For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all roles of the workspace.
      • POSTCreates a new role with specified permissions.
      • POSTMoves a user from their current role to another role.
      • GETReturns all users in roles of the workspace.
      • GETReturns the role with the specified id.
      • PUTUpdates the role with the specified id.
      • POSTAdds the user to the role with the specified id.
      • GETReturns all deactivated menu items for the specified role.
      • POSTCreates or updates the deactivated menu items for the specified role.
      • POSTDeletes the role with the specified id.
      • GETReturns all permissions of the specified role.
      • POSTCreates, updates or deletes a permission of the specified role.
      • POSTArchives or unarchives the role with the specified id.
      • GETReturns all users of the specified role.
      • POSTActivates the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • GETReturns the role with the specified name.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceRoles

Returns all permissions of the specified role.

GET
https://api.awork.com/api/v1/roles/:roleId/permissions
GET
/api/v1/roles/:roleId/permissions
$curl https://api.awork.com/api/v1/roles/roleId/permissions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1[
2 {
3 "feature": "project-management",
4 "accessLevels": [
5 "read",
6 "write"
7 ],
8 "id": "123e4567-e89b-12d3-a456-426614174000",
9 "createdOn": "2024-01-15T09:30:00Z",
10 "updatedOn": "2024-04-10T11:45:00Z",
11 "subdomains": [
12 "ncnstn"
13 ],
14 "identityIds": [
15 "9f8c7d6e-5b4a-4321-9abc-1234567890ab"
16 ]
17 }
18]
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Creates, updates or deletes a permission of the specified role.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

roleIdstringRequiredformat: "uuid"
The id of the role.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
featurestring or null
The feature these permissions belong to.
accessLevelslist of strings or null
The access levels applied to this feature.
idstringformat: "uuid"
The id of the permission.
createdOnstringformat: "date-time"
The date this entity was created.
updatedOnstringformat: "date-time"
The date this entity was last modified.
subdomainslist of strings or null

The workspace’s subdomains. Read-only.

identityIdslist of strings or null

The ids of identities assigned to this workspace. Read-only.

Errors

404
Not Found Error